Bug 641485 - Review Request: python26-simplejson - Simple, fast, extensible JSON encoder/decoder for Python
Summary: Review Request: python26-simplejson - Simple, fast, extensible JSON encoder/d...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Carl Thompson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-08 20:57 UTC by BJ Dierkes
Modified: 2010-10-27 19:09 UTC (History)
3 users (show)

Fixed In Version: python26-simplejson-2.1.1-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-27 19:09:47 UTC
Type: ---
fedora: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description BJ Dierkes 2010-10-08 20:57:32 UTC
Spec URL: http://5dollarwhitebox.org/tmp/tmp/python26-simplejson.spec
SRPM URL: http://5dollarwhitebox.org/tmp/python26-simplejson-2.0.9-4.fc13.src.rpm

Description:

simplejson is a simple, fast, complete, correct and extensible JSON
<http://json.org> encoder and decoder for Python 2.4+.  It has no
external dependencies.

simplejson was formerly known as simple_json, but changed its name to
comply with PEP 8 module naming guidelines.

The encoder may be subclassed to provide serialization in any kind of
situation, without any special support by the objects to be serialized
(somewhat like pickle).

The decoder can handle incoming JSON strings of any specified encoding
(UTF-8 by default).

This package is built against python26.

--- RPMLINT ---

$ rpmlint -i SPECS/python26-simplejson.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint -i /var/lib/mock/epel-5-x86_64/result/python26-simplejson-2.0.9-4.el5.x86_64.rpm 
python26-simplejson.x86_64: W: invalid-url URL: http://undefined.org/python/#simplejson <urlopen error timed out>
The value should be a valid, public HTTP, HTTPS, or FTP URL.

1 packages and 0 specfiles checked; 0 errors, 1 warnings.


NOTE: I contacted upstream regarding the site being down and they are working to resolve it.

Comment 2 BJ Dierkes 2010-10-08 21:08:36 UTC
Didn't realize there was a newer source:

Spec URL: http://5dollarwhitebox.org/tmp/python26-simplejson.spec
SRPM URL: http://5dollarwhitebox.org/tmp/python26-simplejson-2.1.1-1.fc13.src.rpm

Comment 3 Carl Thompson 2010-10-10 17:50:29 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
See below - Meets Packaging Guidelines.
See below - License
OK - License field in spec matches
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
0bbe3a2e5e4cac040013733aca159d89  simplejson-2.1.1.tar.gz
0bbe3a2e5e4cac040013733aca159d89  simplejson-2.1.1.tar.gz

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
See below - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

FAIL - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - Package obey's FHS standard (except for 2 exceptions)
FAIL - No rpmlint output. 
 - final provides and requires are sane.

SHOULD Items:

FAIL - Should build in mock.
FAIL - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or
/usr/sbin

rpmlint python26-simplejson-2.1.1-1.fc13.src.rpm 
python26-simplejson.src: W: spelling-error %description -l en_US http -> HTTP
python26-simplejson.src: W: spelling-error %description -l en_US json -> son, j son, Sonja
python26-simplejson.src: W: spelling-error %description -l en_US subclassed -> subclasses, sub classed, sub-classed
1 packages and 0 specfiles checked; 0 errors, 3 warnings

rpm requires python26 and that is not a package distributed with rawhide
packages need all their requirements to be supplied by rawhide
possibly submit python26 as a package or use python3 for the requirement for this package

Comment 4 Carl Thompson 2010-10-10 18:08:47 UTC
My bad, built on rawhide, retesting on epel 5

Comment 5 Carl Thompson 2010-10-10 18:13:09 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
See below - Meets Packaging Guidelines.
See below - License
OK - License field in spec matches
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
0bbe3a2e5e4cac040013733aca159d89  simplejson-2.1.1.tar.gz
0bbe3a2e5e4cac040013733aca159d89  simplejson-2.1.1.tar.gz

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
See below - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - Package obey's FHS standard (except for 2 exceptions)
OK - No rpmlint output. 
 - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or
/usr/sbin

rpmlint python26-simplejson-2.1.1-1.fc13.src.rpm 
python26-simplejson.src: W: spelling-error %description -l en_US http -> HTTP
python26-simplejson.src: W: spelling-error %description -l en_US json -> son, j son, Sonja
python26-simplejson.src: W: spelling-error %description -l en_US subclassed -> subclasses, sub classed, sub-classed
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

rpmlint -i python26-simplejson-2.1.1-1.fc13.src.rpm 
python26-simplejson.src: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

python26-simplejson.src: W: spelling-error %description -l en_US json -> son, j son, Sonja
The value of this tag appears to be misspelled. Please double-check.

python26-simplejson.src: W: spelling-error %description -l en_US subclassed -> subclasses, sub classed, sub-classed
The value of this tag appears to be misspelled. Please double-check.

1 packages and 0 specfiles checked; 0 errors, 3 warnings.

The warnings appear to be false alarms due to dictionary, as long as you confirm they aren't an issue its good.

Comment 6 BJ Dierkes 2010-10-11 19:31:40 UTC
New Package SCM Request
=======================
Package Name: python26-simplejson
Short Description: Simple, fast, extensible JSON encoder/decoder for Python
Owners: derks
Branches: el5
InitialCC:

Comment 7 Kevin Fenzi 2010-10-11 19:45:43 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2010-10-11 21:56:46 UTC
python26-simplejson-2.1.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python26-simplejson-2.1.1-1.el5

Comment 9 Fedora Update System 2010-10-13 05:55:34 UTC
python26-simplejson-2.1.1-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python26-simplejson'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python26-simplejson-2.1.1-1.el5

Comment 10 Fedora Update System 2010-10-27 19:09:41 UTC
python26-simplejson-2.1.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.